First, check https://asus-linux.org/faq/ and see if your answer is there.

#### Q: asusctl says some gibberish about a dbus error!   
A: Reinstall the DKMS modules, `hid-asus-rog` or `asus-rog-nb-wmi`. https://asus-linux.org/faq/#q-how-do-i-rebuild-the-dkms-modules

#### Q: My sound / wifi / mic stopped working all of the sudden!   
A: Shut down the laptop. Unplug charger and anything that could provide power. Wait 30 seconds or so. Turn the laptop back on, and boot into linux. A standard reboot will not work. This is caused by windows leaving hardware in a bad state, by letting capacitors discharge the hardware is reset. This can be mitigated by turning off windows hibernation by running in cmd promt as admin `powercfg /h off`.

#### Q: My system is stuck in "integrated" graphics mode, even when I tell it to boot nvidia!   
A: Try to boot into hybrid mode, and see what `xrandr --listproviders` shows. It should list 2 GPUs, AMD and Nvidia. If nvidia isn't listed, then your Nvidia drivers are not installed correctly.

#### Q: Can I setup the fingerprint sensor?   
A: There is no linux driver for it. And there probably won't be one for a while.

#### Q: The keyboard backlight turns on every time the laptop wakes up!   
A: Download this file https://git.deck.sh/shark/g14conf/raw/branch/master/kbd and put it in the folder /usr/lib/systemd/system-sleep. Make the file executable (`sudo chmod +x /usr/lib/systemd/system-sleep/kbd`). This will make the keyboard restore it's brightness.

#### Q: How do I update the BIOS?   
A: Download the latest BIOS with the description "BIOS for ASUS EZ Flash Utility". Put it on your boot partition (/boot/efi) or other FAT32 partition like a USB drive if you like. Then enter the BIOS and use the EZFlash utility to update.   
After update, the BIOS will reset all configuration. To boot linux, you must disable secure boot again and create a cutom boot entry (see the next question)

#### Q: Windows / BIOS update made Linux not show up in the boot options!   
A: In the BIOS, create a custom boot option, name it whatever you want, then point it to the file named something like grubx64.efi (it might be slightly differently named, but it will have .efi extension and contain the word "grub" or "systemd"), it can be hidden in folders inside the EFI folder, look around.   
Then make this boot option the default, and you system should be able to boot again.

Don't see your question and a web search didn't help? Ask in the asus-linux discord! https://discord.gg/D2EaBSwQUt

#### Q: Nvidia graphics mode just goes to a black screen!   
A: You need to put an xrandr command in your display manager's autostart. See this arch wiki page for details: https://wiki.archlinux.org/index.php/NVIDIA_Optimus#Display_managers